Bug Hunting Session
Bug 71993 - FORMATTING: smallarrow (type of arrow end) is not straight
Summary: FORMATTING: smallarrow (type of arrow end) is not straight
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:4.2.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-25 14:29 UTC by Jérôme Borme
Modified: 2014-01-10 09:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
smallarrow_not_aligned_with_arrow_body (17.23 KB, image/png)
2013-11-25 14:29 UTC, Jérôme Borme
Details
smallarrow_not_aligned_with_arrow_body (17.23 KB, image/png)
2013-11-25 14:31 UTC, Jérôme Borme
Details
makes small arrow symmetric (1.69 KB, patch)
2013-12-16 21:58 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jérôme Borme 2013-11-25 14:29:49 UTC
Created attachment 89750 [details]
smallarrow_not_aligned_with_arrow_body

Draw an arrow. Change the arrow end to "small arrow", for one or both ends. Zoom in on top of the arrow. Notice that the handles of the arrow are not aligned with the arrow body anymore. Try to rotate the arrow, notice that the dashed line drawn to help the user is not aligned with the arrow ends. Few other arrow end types that I tried did not seem to show this problem. There would be no problem of a small shift on the blunt types (like the square end). But on a very sharp model it is visible when making the end a bit large, that the triangle defining the the arrow end lacks symmetry. 

See attached picture.
Comment 1 Jérôme Borme 2013-11-25 14:31:22 UTC
Created attachment 89752 [details]
smallarrow_not_aligned_with_arrow_body

Uploaded again to correct mistake with the MIME type.
Comment 2 sophie 2013-11-25 17:10:19 UTC
Confirmed - Set as New - Sophie
Comment 3 Regina Henschel 2013-12-16 21:58:10 UTC
Created attachment 90846 [details]
makes small arrow symmetric

You are right, the tip is a little bit of. The attached patch corrects the values.
Comment 4 Commit Notification 2013-12-18 11:19:24 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82b34e82c05f9fde6ca6c87fc5808d89492a761f

fdo#71993: Fix the tip of the Small Arrow line end.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jan Holesovsky 2013-12-18 11:25:37 UTC
Regina: I've pushed your patch, thank you so much for that!  Would be great if you could push directly to gerrit the next time, would be pity to overlook your patch in bugzilla :-)
Comment 6 Commit Notification 2013-12-18 11:31:14 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fad39087a742e30f4a30c0d223f84b21a32d6170&h=libreoffice-4-2

fdo#71993: Fix the tip of the Small Arrow line end.


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 sophie 2014-01-10 09:17:40 UTC
Verified with Version: 4.2.0.2
Build ID: 601a398b803303d1a40a3299729531824fe0db56 - set Closed - Sophie